<?php
	session_start();
	if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
	require_once ("../../config/Cado.php");
	if($_SESSION['usuariogrupo_id']=='4'){
	?>
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Nota de almacen
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Almacen</li>
				<li class="breadcrumb-item active">Nota de almacen</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <strong>USTED NO TIENE PERMISOS PARA VER ESTA PAGINA</strong>
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	<?php 
	}else{
?>
<style type="text/css">
select{
	cursor:pointer;
}
</style>
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Nota de almacen
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Almacen</li>
				<li class="breadcrumb-item active">Nota de almacen</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;" >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="notaalmacen_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
<div id="div_notaalmacen_filtro"></div>
<div id="div_notaalmacen_tabla"> </div>
<div id="div_notaalmacen_check"></div>
<div id="div_notaalmacen_impresion"></div>
	<!-- formulario de registro -->
	<div class="modal fade" id="div_notaalmacen_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg" role="document" >
			<div class="modal-content">
			<div class="modal-body div_notaalmacen_form" style="padding:0%;" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>	
<div class="modal fade" id="div_productomarca_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-xl" style=""   role="document" >
			<div class="modal-content">
			<div class="modal-body div_productomarca_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>			
				
				
	<div class="modal " id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content" style="padding:0px;">
			<div class="modal-body div_mensaje"  >
			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>	
		
		
</div>
<script type="text/javascript">
function notaalmacen_filtro()
{
	$.ajax({
		type: "POST",
		url: "../notalmacen/notaalmacen_filtro.php",
		async:true,
		dataType: "html",                      
		data: ({
			//notaalmacen: $('#txt_fil_pro').val()
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
			$('#div_notaalmacen_filtro').html(div);
        },
		success: function(html){
			$('#div_notaalmacen_filtro').html(html);
		},
		complete: function(){
			notaalmacen_tabla();
		}
	});
}
function notaalmacen_tabla()
{
	$('#div_mensaje_dialog').modal('show');
	$.ajax({
		type: "POST",
		url: "../notalmacen/notaalmacen_tabla.php",
		async:true,
		dataType: "html",                      
		data: $("#for_fil_notalm").serialize(), 
		beforeSend: function() {
			var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
								
			$('.div_mensaje').html(divmen);
			$('#div_notaalmacen_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_notaalmacen_tabla').html(html);
		},
		complete: function(){			
			$('#div_notaalmacen_tabla').removeClass("ui-state-disabled");
			$('#div_mensaje_dialog').modal('hide');
		}
	});     
}
	
function notaalmacen_form(act,idf){
	
	$('#div_notaalmacen_form_dialog').modal();
	
	$.ajax({
		type: "POST",
		url: "../notalmacen/notaalmacen_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			notalm_id:	idf
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					
			$('.div_notaalmacen_form').html(div);
        },
		success: function(html){
			$('.div_notaalmacen_form').html(html);				
		}
	});
}
function notaalmacen_impresion(idf){
	$.ajax({
		type: "POST",
		url: "../notaalmacen/notaalmacen_preimpresion.php",
		async:true,
		dataType: "html",                      
		data: ({
			notalm_id:	idf
		}),
		beforeSend: function() {
			$('#div_notaalmacen_impresion').dialog("open");
			$('#div_notaalmacen_impresion').html('Cargando <img src="../../images/loadingf11.gif" align="absmiddle"/>');
        },
		success: function(html){
			$('#div_notaalmacen_impresion').html(html);				
		}
	});
}
function notaalmacen_impr_ticket(idf){
	if(confirm("Desea imprimir esta Nota de Almacén?")){
		notaalmacen_imppos_datos(idf);
	}
}
function notaalmacen_imppos_datos(id_not_alm){	
	//if(confirm("Desea imprimir éste documento?")){
		$.ajax({
			type: "POST",
			url: "../notalmacen/notaalmacen_imppos_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ notalm_id: id_not_alm}),
			beforeSend: function() {
				//$('#msj_venta').html("Imprimiendo...");
				//$('#msj_venta').show(100);
			},
			success: function(data){
				console.log(data);
				
				alert(data.imp_doc);
				notaalmacen_imppos_comprobante(data,data.imp_doc);
				//$('#div_venta_form').dialog("close");
			}
		});
	//}
}
function notaalmacen_imppos_comprobante(datos,url_doc){	
	$.ajax({
		type: "POST",
		url: url_doc,
		async:true,
		dataType: "html",                      
		data: datos,
		beforeSend: function()
		{
			
			console.log(datos);
			//$('#msj_venta_imp').html("Imprimiendo...");
			//$('#msj_venta_imp').show(100);
		},
		success: function(html){						
			//$('#msj_venta_imp').html(html);		
		}
	});
}
	
function eliminar_notaalmacen(id)
{      
	if(confirm("Realmente desea eliminar?")){
		$.ajax({
			type: "POST",
			url: "../notalmacen/notaalmacen_reg.php",
			async:true,
			dataType: "html",
			data: ({
				action: "eliminar",
				notalm_id:		id
			}),
			beforeSend: function() {
				
			},
			success: function(html){
				toastr["info"](html);	
			},
			complete: function(){
				notaalmacen_tabla();
			}
		});
	}
}
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../notalmacen/notalmacen_vista.php");
	});
	
	$("#div_notaalmacen_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
			$('body').css('padding-right','0px');
	});
	
	notaalmacen_filtro();	
	
	setTitle("NOTA DE ALMACEN - "+nombreEmpresa);	
	
});
</script>
	<?php } ?>